nginx DNS Resolver Remote Heap Buffer Overflow Vulnerability

Bugtraq ID: 50710
Class: Boundary Condition Error
CVE: CVE-2011-4315
Remote: Yes
Local: No
Published: Nov 17 2011 12:00AM
Updated: Apr 13 2015 09:13PM
Credit: Ben Hawkes
Vulnerable: SuSE WebYaST 1.2
+ S.u.S.E. Linux 8.1
+ S.u.S.E. Linux Personal 9.1
+ S.u.S.E. Linux Personal 9.0 x86_64
+ S.u.S.E. Linux Personal 9.0
+ S.u.S.E. Linux Personal 8.2
SuSE Studio Standard Edition 1.2
SuSE Studio Onsite 1.2
SuSE openSUSE 11.4
Igor Sysoev nginx 1.0.9
Igor Sysoev nginx 1.0.8
Igor Sysoev nginx 0.8.40
Igor Sysoev nginx 0.8.36
Igor Sysoev nginx 0.8.35
Igor Sysoev nginx 0.8.33
Igor Sysoev nginx 0.8.32
Igor Sysoev nginx 0.8.15
Igor Sysoev nginx 0.8.14
Igor Sysoev nginx 0.7.66
Igor Sysoev nginx 0.7.65
Igor Sysoev nginx 0.7.64
Igor Sysoev nginx 0.7.62
Igor Sysoev nginx 0.7.61
Igor Sysoev nginx 0.7
Igor Sysoev nginx 0.6.39
Igor Sysoev nginx 0.6.38
Igor Sysoev nginx 0.6.36
Igor Sysoev nginx 0.6.32
Igor Sysoev nginx 0.6
Igor Sysoev nginx 0.5.38
Igor Sysoev nginx 0.5.37
Igor Sysoev nginx 0.5
Gentoo Linux
Not Vulnerable: Igor Sysoev nginx 1.0.10


 

Privacy Statement
Copyright 2010, SecurityFocus